alt.javax.mail

## Class ServiceImpl

- java.lang.Object
- - alt.javax.mail.ServiceImpl

- All Implemented Interfaces:
    Service
  Direct Known Subclasses:
    TransportImpl

      public class ServiceImpl
      extends java.lang.Object
      implements Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceImpl(javax.mail.Service service)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnectionListener(ConnectionListener connectionListener)`
    `void` | `close()`
    `void` | `connect()`
    `void` | `connect(java.lang.String host, int port, java.lang.String user, java.lang.String password)`
    `void` | `connect(java.lang.String host, java.lang.String user, java.lang.String password)`
    `URLName` | `getURLName()`
    `boolean` | `isConnected()`
    `void` | `removeConnectionListener(ConnectionListener connectionListener)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceImpl

          public ServiceImpl(javax.mail.Service service)

  - ### Method Detail

    - #### connect

          public void connect()
                       throws MessagingException

      Specified by:
        `connect` in interface `Service`
      Throws:
        `MessagingException`

    - #### connect

          public void connect(java.lang.String host,
                              java.lang.String user,
                              java.lang.String password)
                       throws MessagingException

      Specified by:
        `connect` in interface `Service`
      Throws:
        `MessagingException`

    - #### connect

          public void connect(java.lang.String host,
                              int port,
                              java.lang.String user,
                              java.lang.String password)
                       throws MessagingException

      Specified by:
        `connect` in interface `Service`
      Throws:
        `MessagingException`

    - #### isConnected

          public boolean isConnected()

      Specified by:
        `isConnected` in interface `Service`

    - #### close

          public void close()
                     throws MessagingException

      Specified by:
        `close` in interface `Service`
      Throws:
        `MessagingException`

    - #### getURLName

          public URLName getURLName()

      Specified by:
        `getURLName` in interface `Service`

    - #### addConnectionListener

          public void addConnectionListener(ConnectionListener connectionListener)

      Specified by:
        `addConnectionListener` in interface `Service`

    - #### removeConnectionListener

          public void removeConnectionListener(ConnectionListener connectionListener)

      Specified by:
        `removeConnectionListener` in interface `Service`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `Service`
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2002 Mock Objects. All Rights Reserved.